.hint {
  position: absolute;
  top: -0.1rem;
  left: -0.1rem;
  padding: 0.5rem 1rem;
  width: fit-content;
  max-width: 15.25rem;
  height: auto;
  max-height: 6rem;
  line-height: 1.4;
  background: var(--bg-main);
  border-radius: .25rem;

  .hint-wrapper {
    display: flex;
    align-items: center;
    width: 100%;
  }

  .priceBlock {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;

    .sellerPrice {
      font-size: 1.5rem;
      margin-right: 1rem;
  
      &-item {
        font-weight: normal;
      }
    }

    .sellerQuantity {
      font-size: 0.75rem;
  
      &-name {
        margin-bottom: 0;
        padding-bottom: 0;
  
        &.-in-stock {
          font-size: 0.75rem;
          margin-bottom: 0.25rem;
          padding-bottom: 0.25rem;
        }
      }
    }
  }

  .sellerBasic {
    font-size: 0.625rem;
  }

  &._regular {
    width: auto;
    max-width: none;

    & > .hint-wrapper {
      flex-direction: column;
      align-items: flex-start;
      justify-content: flex-start;
    }
  }
}
